<?xml version="1.0" encoding="utf-8"?>

<article format="2002-03-05">

<article_head>
	<article_id>d11203</article_id>
	<article_addr><sect>4</sect><subsect>08</subsect></article_addr>
	<article_subj>ネットマップ美術館</article_subj>
</article_head>

<article_body>

<p>このメモでは、Gnutellaネットのノードを構成するための個々のソフトやそれを通じて交換される個々のファイルでなく、媒介となっている<em>ネットそのもの</em>のトポロジー、その美を観察する。メモ中のマップは、<a href="http://www.gnucleus.com/">Gnucleus</a>付属の GraphViz（AT&amp;T Research Labs）で生成された。</p>

<div class="center">
<img src="../../../soft/gnutella/netmap1.png" alt="" width="360" height="260" />
<p>帯域が広いノードは同時に多数のシナプスを維持できる。</p>
</div>

<p>脱中心系では、ある程度以上の帯域幅がある限りにおいて、どのノードからみても、あたかも自分が系の中心であるように見えることが予想される。（<a href="../../../soft/gnutella/netmap7.png">参考画像</a>）</p>

<div class="center">
<img src="../../../soft/gnutella/netmap2.png" alt="" width="500" height="250" />
<p>寂しい地球人: Gnutella</p>
</div>
<p>ホップ数の限界にあたる地平線上のノードの場合、こちらに向かってくる方向のシナプスしか見えないので、自分の場所からは端点（行き止まり）のように見える。「実際」には、地平線のむこうにもたくさん足が伸びている。</p>
<p>地図は惑星をおおうが、物理的距離空間とは独立したトポロジーを持っている。地図上でとなりのノードが物理層では地球の裏側かもしれないし、物理層ですぐそばにあるノードが地図上では地平線の果てかもしれない。</p>


<div class="center">
<img src="../../../soft/gnutella/netmap1.jpg" alt="" width="300" height="230" />
</div>

<p>Gnutellaネット自身がもし考えるなら「ノードは、つかのまのひとつの細胞にすぎない」という認識だろう。ノードを維持するユーザ（人間）は Gnutella 自身にとっては、あまりに微視的な補助酵素にすぎない。それは神経繊維のようでもあり、遺伝子の一片のようでもあり、また海底で揺れる植物のようでもある。</p>

<div class="center">
<img src="../../../soft/gnutella/netmap_tn.jpg" alt="" width="200" height="160" />
<p><a href="../../../soft/gnutella/netmap.png">原寸大の画像（66KB）</a></p>
</div>

<p>ノードは、また電子にも似ているかもしれない。そのトポロジーは原子核のまわりの「確率の雲」――いわゆる殻構造――としてイメージすることもできる。</p>

<p>しかしそれはイメージにすぎない。だれもグヌーテラの本当の姿を知る者は無い。まるでその内部に生きていながら未知に満ちる宇宙のように。グヌーテラが今どんな表情か？　ノードを結ぶ広い帯域の回線が一般化したとき、この「ネット生命体」がどのように進化するのか？　本当のところ、だれにも分からない……<a href="../../../soft/gnutella/netmap.png">見ることのできるこうした姿（画像）</a>は、局所的な一部にすぎず、体内の神経繊維や毛細血管の構造から「人間」が想像できないように、この任意に切り出されたたんぽぽの綿毛のような構造がなにを運ぼうとしているのか、だれにも分からない。</p>

<p class="footnote"><em class="i v pale">Network maps were made using GraphViz, created and copyrighted by AT&amp;T Research Labs.</em></p>

<h4>リンク</h4>
<ul class="book">
<li>
<a href="/articles/5/04/#d20304">超分散: Gnutellaの本質</a> <span class="date">(<strong>2002-03-04</strong>)</span>
<p class="small">Morpheusの例／超高速・超分散／誰も言わなかった広帯域の本当のポテンシャル／雑魚とは違うんだよ、雑魚とは／現実／おまけ</p>
</li>
</ul>


</article_body>
</article>
